XHCI(4)

NAME
xhci - USB eXtensible Host Controller driver

SYNOPSIS
device xhci

DESCRIPTION
The xhci driver provides support for the USB eXtensible Host Controller Interface, which allows use of USB 1.0, 2.0 and 3.0 devices on the same USB port.

The XHCI controller supports USB connection speeds up to 5.0Gbps when using a USB 3.0 compliant device.

HARDWARE
The xhci driver supports XHCI compatible controllers having PCI class 12 (serial bus), subclass 3 (USB) and programming interface 48 (XHCI).

SEE ALSO
ehci(4), ohci(4), uhci(4), usb(4)

HISTORY
The xhci device driver first appeared in FreeBSD 8.2.